QGIS Application - Feature request #11005
Please add CONTRIBUTING.md to the repo
2014-08-04 08:04 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 19347
Description

Here is a description on how to use CONTRIBUTING.md https://github.com/blog/1184-contributing-guidelines

It would be good to add a CONTRIBUTING.md file.

This link will provided on the pull-request page for potential contributors.

Here are some examples:

- https://github.com/geotools/geotools/blob/master/CONTRIBUTING.md

- https://github.com/geoserver/geoserver/blob/master/CONTRIBUTING.md

This CONTRIBUTIONS.md gives a chance to communicate any terms (include a test case, sign a contribution agreement) clear.

Thanks Jo for pointing this out.

History

#1 - 2016-08-03 01:18 AM - Harrissou Santanna

Though a bit light, we do have https://github.com/qgis/QGIS/blob/master/CONTRIBUTE.md in QGIS GitHub repo. Then in the website, there's

http://qgis.org/en/site/getinvolved/development/ggisdevelopersguide/index.html for coders or

http://docs.qgis.org/testing/en/docs/documentation guidelines/index.html for writers and translators.

Anything else needed or could this report be closed?

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-05-03 11:59 AM - Harrissou Santanna

- Description updated

Is this still valid given the pull request template?

#4 - 2017-05-03 12:00 PM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2018-02-26 03:06 AM - Paolo Cavallini

| still believe having contributing guidelines in the repo itself (can be a copy of the website page, or better the page and the docs could point to

CONTRIBUTING.md file in the repo)
#6 - 2018-02-26 01:06 PM - Harrissou Santanna

Paolo, just in case, we do have https://github.com/qgis/QGIS/blob/master/.github/CONTRIBUTING.md, shown anytime someone wants to create a pull

request.

#7 - 2018-02-27 07:04 AM - Paolo Cavallini

| get a 404.
Thanks.

#8 - 2018-02-27 07:30 AM - Harrissou Santanna

Where? All the links seem to work well, here.

#9 - 2018-02-27 07:34 AM - Paolo Cavallini
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

From desktop it works, from phone not.
Thanks for pointing out, this fixes the issue IMHO.
